Update E-Verify settings for an employer
curl --request PATCH \
--url https://api.symmetry.com/i9/v1/employers/{employerId}/everifySettings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"companyId": "123456",
"programAdministratorEmail": "john.doe@example.com",
"programAdministratorFirstName": "John",
"programAdministratorId": "789012",
"programAdministratorLastName": "Doe",
"programAdministratorPhone": "234-567-8901",
"webServicePassword": "everify_pwd",
"webServiceUsername": "everify_user"
}
'import requests
url = "https://api.symmetry.com/i9/v1/employers/{employerId}/everifySettings"
payload = {
"companyId": "123456",
"programAdministratorEmail": "john.doe@example.com",
"programAdministratorFirstName": "John",
"programAdministratorId": "789012",
"programAdministratorLastName": "Doe",
"programAdministratorPhone": "234-567-8901",
"webServicePassword": "everify_pwd",
"webServiceUsername": "everify_user"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '123456',
programAdministratorEmail: 'john.doe@example.com',
programAdministratorFirstName: 'John',
programAdministratorId: '789012',
programAdministratorLastName: 'Doe',
programAdministratorPhone: '234-567-8901',
webServicePassword: 'everify_pwd',
webServiceUsername: 'everify_user'
})
};
fetch('https://api.symmetry.com/i9/v1/employers/{employerId}/everifySettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"everifySettings": {
"companyId": "123456",
"programAdministratorEmail": "john.doe@example.com",
"programAdministratorFirstName": "John",
"programAdministratorId": "789012",
"programAdministratorLastName": "Doe",
"programAdministratorPhone": "234-567-8901",
"webServiceUsername": "everify_user"
}
}Updates existing E-Verify settings for an employer
PATCH
/
v1
/
employers
/
{employerId}
/
everifySettings
Update E-Verify settings for an employer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
E-Verify settings to update
Response
OK
Employer E-Verify Settings information
Show child attributes
Show child attributes
⌘I

